@import "../css/fonts.scss";
@import "../css/colors.scss";
* {
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  padding: 0;
}
body {
  padding: 0;
  max-width: 1700px;
  margin: auto;
  min-width: 400px;
}

nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  min-height: 8vh;
  background-color: $nav-color;
}

.nav-logo {
  color: $logo-color;
  text-transform: uppercase;
  letter-spacing: 5px;
  font-size: 20px;
  cursor: pointer;

  // &::first-letter {
  //   color: rgb(2, 2, 85);
  //   font-size: 24px;
  // }
}

.nav-links {
  display: flex;
  // background-color: aquamarine;
  justify-content: space-around;
  width: 50%;
}

.nav-links li {
  list-style: none;
}
.nav-links a {
  text-decoration: none;
  color: $logo-color;
  font-weight: bold;
  letter-spacing: 3px;
  font-size: 1.1rem;
}

.burger {
  display: none;
  flex-direction: column;
  justify-content: space-around;
  // height: 20px;
  cursor: pointer;
}

.burger div {
  width: 30px;
  height: 4px;
  background-color: $logo-color;
  margin: 5px;
  border-radius: 5px;
  transition: all 0.4s ease;
}

@media screen and(max-width:768px) {
  body {
    overflow-x: hidden;
  }
  .nav-links {
    position: absolute;
    right: 0;
    top: 8vh;
    height: 92vh;
    background-color: $nav-color;
    display: flex;
    flex-direction: column;
    align-items: center;
    transform: translateX(100%);
    transition: transform 0.5s ease; //this is the reason for animation
  }
  .nav-links li {
    opacity: 0;
  }
  .burger {
    display: block;
  }
}
// .nav-links {
//   transition: transform 0.5s ease;
// }
.nav-active {
  transition: transform 0.5s ease;
  transform: translateX(0);
}

@keyframes navLinkFade {
  from {
    opacity: 0;
    transform: translateX(50px);
  }
  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

.toggle .line1 {
  transform: rotate(-45deg) translate(-6px, 6px);
}
.toggle .line2 {
  opacity: 0;
  transform: scale(0);
}
.toggle .line3 {
  transform: rotate(45deg) translate(-6px, -6px);
}
